<div class="mat-dialog-content-container">
    <h1 mat-dialog-title> Partager aux entités </h1>
    <mat-dialog-content>
        <form #submitForm="ngForm" (ngSubmit)="onSubmit()">
            <div class="col-md-12">
                <mat-form-field>
                    <input matInput placeholder="{{'lang.label' | translate}}" name="label" [value]="exportModel.label"
                        readonly>
                </mat-form-field>
            </div>
            <div class="col-md-12">
                <div [class.col-md-12]="export.sharing.entities.length === 0"
                    [class.col-md-6]="export.sharing.entities.length > 0">
                    <mat-form-field appearance="outline">
                        <input matInput id="jstree_search" type="text"
                            placeholder="{{'lang.searchEntities' | translate}}">
                    </mat-form-field>
                    <div id="jstree" class="entitiesList"></div>
                </div>
                <div class="col-md-6" *ngIf="export.sharing.entities.length > 0">
                    <div class="formType jstreeEntities">
                        <div class="formType-title">
                            {{'lang.parameters' | translate}}
                        </div>
                        <ng-container *ngFor="let entity of entities">
                            <mat-expansion-panel class="selectedEntities" *ngIf="checkSelectedExport(entity)" opened>
                                <mat-expansion-panel-header>
                                    <mat-panel-title>
                                        {{entity.entity_label}}
                                    </mat-panel-title>
                                </mat-expansion-panel-header>
                                <mat-slide-toggle color="primary" [checked]="isAdminEnabled(entity)"
                                    (change)="toggleAdmin(entity, $event)">{{'lang.canManageExport' | translate}}
                                </mat-slide-toggle>
                            </mat-expansion-panel>
                        </ng-container>
                    </div>
                </div>
            </div>
        </form>
    </mat-dialog-content>
    <span class="divider-modal"></span>
    <mat-dialog-actions>
        <button mat-raised-button color="primary" type="submit" (click)="submitForm.ngSubmit.emit()">{{'lang.validate' |
            translate}}</button>
        <button mat-raised-button type="button" color="default" (click)="dialogRef.close()">{{'lang.cancel' |
            translate}}</button>
    </mat-dialog-actions>
</div>